aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-05-08 22:07:05 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-05-08 22:07:15 +0000
commit79e6917fabf8e2d12a9de05c6e8840b070b14f7d (patch)
treea5092c52bd4dfb427a6f2172702292eb4981cfbb /main/v4l-utils/APKBUILD
parent38d2adedc78bebfb155c3d3945c0d25f000e27b9 (diff)
downloadaports-79e6917fabf8e2d12a9de05c6e8840b070b14f7d.tar.gz
aports-79e6917fabf8e2d12a9de05c6e8840b070b14f7d.tar.bz2
aports-79e6917fabf8e2d12a9de05c6e8840b070b14f7d.tar.xz
main/v4l-utils: upgrade to 0.9.5 and split dvb v5 utils
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD55
1 files changed, 34 insertions, 21 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index 2a2c6f1aaf..014e22555c 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -1,17 +1,16 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=v4l-utils
-pkgver=0.9.3
+pkgver=0.9.5
pkgrel=0
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
arch="all"
license="LGPL"
depends=""
-makedepends="qt-dev libjpeg-turbo-dev libiconv-dev argp-standalone"
-[ "$ALPINE_LIBC" != "eglibc" ] && makedepends="$makedepends"
+makedepends="qt-dev libjpeg-turbo-dev argp-standalone"
install=""
-subpackages="$pkgname-dev qv4l2"
+subpackages="$pkgname-dev qv4l2 $pkgname-dvbv5"
source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
qv4l2.svg
qv4l2.desktop
@@ -20,29 +19,33 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- if [ "$ALPINE_LIBC" != "eglibc" ]; then
- export LDFLAGS="$LDFLAGS -largp -liconv"
- fi
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
cd "$_builddir"
+ if [ "$ALPINE_LIBC" != "eglibc" ]; then
+ export LDFLAGS="$LDFLAGS -largp -liconv"
+ fi
./configure --prefix=/usr \
- --sysconfdir=/etc \
- --disable-static
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
- esac
- done
- make PREFIX="/usr" || return 1
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
}
package() {
cd "$_builddir"
- make -j1 PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+ make DESTDIR="$pkgdir" install || return 1
install -Dm644 "$srcdir"/qv4l2.desktop \
"$pkgdir"/usr/share/applications/qv4l2.desktop || return 1
install -Dm644 "$srcdir"/qv4l2.svg \
@@ -59,12 +62,22 @@ qv4l2() {
rm "$pkgdir"/usr/lib/libv4l/plugins/*.la || return 1
}
-md5sums="f4d24bb9f0307345d5a8fc4febcb993d v4l-utils-0.9.3.tar.bz2
+dvbv5() {
+ pkgdesc="Backwards compatible DVBv5 command line utilities"
+ mkdir -p "$subpkgdir"/usr/bin \
+ "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/bin/dvb* \
+ "$subpkgdir"/usr/bin/ || return 1
+ mv "$pkgdir"/usr/lib/libdvbv5.* \
+ "$subpkgdir"/usr/lib/ || return 1
+}
+
+md5sums="6947bea808b19207d89ec31afc3a9a89 v4l-utils-0.9.5.tar.bz2
75ef594ddfe48e48df99c96c2af6b51e qv4l2.svg
b2e51f9663cee1c38a1d99d76a6b529f qv4l2.desktop"
-sha256sums="502db0d865a392d87bff22c4f3bcfb3d0755937b1c18496edd941fd2d1784a3d v4l-utils-0.9.3.tar.bz2
+sha256sums="6c9f1be981d5763069e0969ebe426c39da5a7d738865367e390e3b486f1b502c v4l-utils-0.9.5.tar.bz2
b1dad7c1649881be8e66f4d9d0f32206796dd0a10dd936c342426ec64cf9c77c qv4l2.svg
1c5739631e37a7338409ea8b5c797a6888fd9a595e72d9dc96dd634df26373f3 qv4l2.desktop"
-sha512sums="52d1fdaf73cb27963458013bc62792d1331f9fa6a50d761ac594999db2c3c654fe48dfb51019d12acaf7d2ab0ff5563503e8dac6abc2ea915baa4c6373988c3d v4l-utils-0.9.3.tar.bz2
+sha512sums="219a789907279ce4532d53989f1efe5cac7bbf0971a215c4e6e42228510c88f52ed2d7a4ce80d2f6673af9c0e5acd99160b6b3e6475f7a7a80534ce867a52a63 v4l-utils-0.9.5.tar.bz2
bc18280046c15b19984103f7c2bb44a0aea79715803c64f0c64bc932499c09022c956914c3b15ae59499adc09f6fbff5378be45707fe851250f495a26b63d682 qv4l2.svg
6f74aa524b3de420eeb8de788ff3f717020732a3f1f6530caee50e63aae7eddbe5f551ffc50065c9f5d6078c13bace089948ecdcacf01f8b82c1a44960e06315 qv4l2.desktop"